GNU bug report logs - #37452
26.3; skip-syntax-forward doesn't work in python-mode

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Amai Kinono <amaikinono@HIDDEN>; dated Wed, 18 Sep 2019 20:20:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 37452 <at> debbugs.gnu.org:


Received: (at 37452) by debbugs.gnu.org; 22 Sep 2019 15:53:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 22 11:53:04 2019
Received: from localhost ([127.0.0.1]:34364 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iC4AZ-0003x4-M9
	for submit <at> debbugs.gnu.org; Sun, 22 Sep 2019 11:53:04 -0400
Received: from mail-qk1-f181.google.com ([209.85.222.181]:41827)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <amaikinono@HIDDEN>) id 1iC23u-0000FE-5b
 for 37452 <at> debbugs.gnu.org; Sun, 22 Sep 2019 09:38:02 -0400
Received: by mail-qk1-f181.google.com with SMTP id p10so12544668qkg.8
 for <37452 <at> debbugs.gnu.org>; Sun, 22 Sep 2019 06:38:02 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to;
 bh=l9Jqx/whkMZVM3/zc0fwzjFhZjxl2XIv6AwARtSsAqY=;
 b=dSnurnUsnECfgmRvK/leiKjGsRgbJjIevTpWp00EiAkR+nlMLgcH3eHLphuUMFm30H
 TQSj+ow7IqJfPlyb/D8yPyp/qpP6kVMjAbep+v3/3BhNWpASXKbXJ/56NPhHF85m4xB1
 xAcW+8dYDGRjUgX5wsnph4QMwCnpgTiluh3PqVBHt/Skm0DDyxGVhEJKi1G0GPCcffU9
 CRDq7Vv7wNraaK3DXI3bJx+c9ZDmnGT61w4FaxmH5bXBr8V3oO4PgWY3H+Epu8zCtWRD
 +kVj15am7ntyXJHMk2KAlC01sq/q1Lqhj449pwFsKpMbKEuJGoHgMLF4xi3phIRq9ieP
 50XA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to;
 bh=l9Jqx/whkMZVM3/zc0fwzjFhZjxl2XIv6AwARtSsAqY=;
 b=fYMOZ7pxgqbca1TKmoOYHA9XYitABPZCQlOp4Ck/8UZXvwQTnouDR4p8MdWWmFZ1dx
 L/NnBmMIXU1tiOA6NOmlkux8fK1VgpVd8c/caf1m+w0tedfOKAnSGmCaGV8OBOBGy30p
 4CgZcXewmTyz5KFkSRkkZm9yA+hshqjyCSMgsLTa7sP4pny2RhOAcwGbXcK1H+ul9oPC
 3pydsRVKx9XWyaVyQ6K1wakkh5/ByVC6M1b5fStjwWZZcsdGExeqzbdV/y1pckgRmTBU
 Jvxk2VqwGmL2M9I9httMD7ilShGQXtkatTs1cIq8GQW68g9cTeM01mMIZtTAFs0bjQJU
 Q2Wg==
X-Gm-Message-State: APjAAAV3BAnRu5XeOt3YdV2tC/PI3Rwv0jCWadN18+AbXa5N87PNuB9b
 xoQx1rpaGB4Z0p5Rcq+LZXbObl0ZsNljeMdD5jw2G2XF
X-Google-Smtp-Source: APXvYqxa7i17TuQ/cLPi1ugN3vV+uaI/lHZgoNrKGRKQko+o0VBddJYanpFSCWGvDSmJg6Ht6UC8FnJSB3yvPBPfGAk=
X-Received: by 2002:a37:498f:: with SMTP id
 w137mr12659485qka.419.1569159476556; 
 Sun, 22 Sep 2019 06:37:56 -0700 (PDT)
MIME-Version: 1.0
References: <CAPu3fz0hF0POJH7dXGWxRxt2MR7bpPQzUykDTtTCm7FGa=bOPg@HIDDEN>
 <877e659qoc.fsf@HIDDEN>
 <CAPu3fz1rsjqMTg73u7SA33so0Zq4OWU_TZ-V8TJ2DwWs4WjGdw@HIDDEN>
In-Reply-To: <CAPu3fz1rsjqMTg73u7SA33so0Zq4OWU_TZ-V8TJ2DwWs4WjGdw@HIDDEN>
From: Amai Kinono <amaikinono@HIDDEN>
Date: Sun, 22 Sep 2019 21:37:45 +0800
Message-ID: <CAPu3fz2+3OqJ8LSDYtyCYP7R===hFiZGchz8_aLdPa5FRKW6bw@HIDDEN>
Subject: Fwd: bug#37452: 26.3; skip-syntax-forward doesn't work in python-mode
To: 37452 <at> debbugs.gnu.org
Content-Type: multipart/alternative; boundary="00000000000032389b05932469a1"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37452
X-Mailman-Approved-At: Sun, 22 Sep 2019 11:53:02 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--00000000000032389b05932469a1
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

---------- Forwarded message ---------
=E5=8F=91=E4=BB=B6=E4=BA=BA=EF=BC=9A Amai Kinono <amaikinono@HIDDEN>
Date: 2019=E5=B9=B49=E6=9C=8820=E6=97=A5=E5=91=A8=E4=BA=94 =E4=B8=8B=E5=8D=
=889:39
Subject: Re: bug#37452: 26.3; skip-syntax-forward doesn't work in
python-mode
To: Noam Postavsky <npostavs@HIDDEN>


I just found that the `forward-same-syntax` command in subr.el did the same
thing, so it doesn't work in my example too. Maybe this should be fixed?

Noam Postavsky <npostavs@HIDDEN> =E4=BA=8E2019=E5=B9=B49=E6=9C=8819=E6=
=97=A5=E5=91=A8=E5=9B=9B =E4=B8=8A=E5=8D=886:37=E5=86=99=E9=81=93=EF=BC=9A

> Amai Kinono <amaikinono@HIDDEN> writes:
>
> >   (defun skip-syntax ()
> >     (interactive)
> >     (skip-syntax-forward (char-to-string (char-syntax (char-after)))))
>
> If you look at char-syntax's docstring, you should see
>
>     If you=E2=80=99re trying to determine the syntax of characters in the=
 buffer,
>     this is probably the wrong function to use, because it can=E2=80=99t =
take
>     =E2=80=98syntax-table=E2=80=99 text properties into account.  Conside=
r using
>     =E2=80=98syntax-after=E2=80=99 instead.
>
> Which is exactly the situation you've encountered here: python-mode sets
> the syntax of the quote to string fence ("|") using a text property.
> This version of skip-syntax should work:
>
> (defun syntax-class-to-char (syntax-class)
>   (aref " .w_()'\"$\\/<>@!|" syntax-class))
>
> (defun skip-syntax ()
>   (interactive)
>   (skip-syntax-forward (char-to-string
>                         (syntax-class-to-char
>                          (syntax-class (syntax-after (point)))))))
>
> Although I'd say that the function syntax-class-to-char should be added
> to Emacs (in syntax.c, so that it can reuse syntax_code_spec).
>

--00000000000032389b05932469a1
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><br><br><div class=3D"gmail_quote"><div dir=3D"ltr" class=
=3D"gmail_attr">---------- Forwarded message ---------<br>=E5=8F=91=E4=BB=
=B6=E4=BA=BA=EF=BC=9A <b class=3D"gmail_sendername" dir=3D"auto">Amai Kinon=
o</b> <span dir=3D"auto">&lt;<a href=3D"mailto:amaikinono@HIDDEN">amaiki=
nono@HIDDEN</a>&gt;</span><br>Date: 2019=E5=B9=B49=E6=9C=8820=E6=97=A5=
=E5=91=A8=E4=BA=94 =E4=B8=8B=E5=8D=889:39<br>Subject: Re: bug#37452: 26.3; =
skip-syntax-forward doesn&#39;t work in python-mode<br>To: Noam Postavsky &=
lt;<a href=3D"mailto:npostavs@HIDDEN">npostavs@HIDDEN</a>&gt;<br></di=
v><br><br><div dir=3D"ltr">I just found that the `forward-same-syntax` comm=
and in subr.el did the same thing, so it doesn&#39;t work in my example too=
. Maybe this should be fixed?<br></div><br><div class=3D"gmail_quote"><div =
dir=3D"ltr" class=3D"gmail_attr">Noam Postavsky &lt;<a href=3D"mailto:npost=
avs@HIDDEN" target=3D"_blank">npostavs@HIDDEN</a>&gt; =E4=BA=8E2019=
=E5=B9=B49=E6=9C=8819=E6=97=A5=E5=91=A8=E5=9B=9B =E4=B8=8A=E5=8D=886:37=E5=
=86=99=E9=81=93=EF=BC=9A<br></div><blockquote class=3D"gmail_quote" style=
=3D"margin:0px 0px 0px 0.8ex;border-left:1px solid rgb(204,204,204);padding=
-left:1ex">Amai Kinono &lt;<a href=3D"mailto:amaikinono@HIDDEN" target=
=3D"_blank">amaikinono@HIDDEN</a>&gt; writes:<br>
<br>
&gt;=C2=A0 =C2=A0(defun skip-syntax ()<br>
&gt;=C2=A0 =C2=A0 =C2=A0(interactive)<br>
&gt;=C2=A0 =C2=A0 =C2=A0(skip-syntax-forward (char-to-string (char-syntax (=
char-after)))))<br>
<br>
If you look at char-syntax&#39;s docstring, you should see<br>
<br>
=C2=A0 =C2=A0 If you=E2=80=99re trying to determine the syntax of character=
s in the buffer,<br>
=C2=A0 =C2=A0 this is probably the wrong function to use, because it can=E2=
=80=99t take<br>
=C2=A0 =C2=A0 =E2=80=98syntax-table=E2=80=99 text properties into account.=
=C2=A0 Consider using<br>
=C2=A0 =C2=A0 =E2=80=98syntax-after=E2=80=99 instead.<br>
<br>
Which is exactly the situation you&#39;ve encountered here: python-mode set=
s<br>
the syntax of the quote to string fence (&quot;|&quot;) using a text proper=
ty.<br>
This version of skip-syntax should work:<br>
<br>
(defun syntax-class-to-char (syntax-class)<br>
=C2=A0 (aref &quot; .w_()&#39;\&quot;$\\/&lt;&gt;@!|&quot; syntax-class))<b=
r>
<br>
(defun skip-syntax ()<br>
=C2=A0 (interactive)<br>
=C2=A0 (skip-syntax-forward (char-to-string<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=
=A0 =C2=A0 (syntax-class-to-char<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=
=A0 =C2=A0 =C2=A0(syntax-class (syntax-after (point)))))))<br>
<br>
Although I&#39;d say that the function syntax-class-to-char should be added=
<br>
to Emacs (in syntax.c, so that it can reuse syntax_code_spec).<br>
</blockquote></div>
</div></div>

--00000000000032389b05932469a1--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37452; Package emacs. Full text available.

Message received at 37452 <at> debbugs.gnu.org:


Received: (at 37452) by debbugs.gnu.org; 18 Sep 2019 22:37:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 18 18:37:48 2019
Received: from localhost ([127.0.0.1]:54946 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iAia4-0002IY-K3
	for submit <at> debbugs.gnu.org; Wed, 18 Sep 2019 18:37:48 -0400
Received: from mail-io1-f53.google.com ([209.85.166.53]:37899)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1iAia2-0002II-QQ
 for 37452 <at> debbugs.gnu.org; Wed, 18 Sep 2019 18:37:47 -0400
Received: by mail-io1-f53.google.com with SMTP id k5so3065918iol.5
 for <37452 <at> debbugs.gnu.org>; Wed, 18 Sep 2019 15:37:46 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=hdzlvbDO8xb0JBEBWf0NCNxMaVAjc0YX17nuN/pRbok=;
 b=XOv3bhMVe5ntsbHT5QLV09rzRINDvhVWNJZ7teeQS2W0RuXf1V5WBf3cXRbr9c1GG2
 hfSVWVE8DyM4yQMm9rlw3qBxm1IcQFXS4chGrK/1tLv8D157HMeGzH5kfU4ywVq1FSsP
 9m69j0D5aYjCjYps7Ver0z8lkKQwbiw+LRmQ/fmBvOGfPSu7cR1iMVvxXZPv0s/kySHV
 tIvSTDOUcqzdYR7PcVI80AhOhUluciLyZAOqHx+wZYgMtQLkS3OuhwnAZey3Q0RXeA2Z
 A5D1dD3+ErmmdSLnPgyeP4rdWkNmOBd/9g8/+a9RyTR46D4fcja5v5Fhc8CBSJmTPCKc
 3icA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=hdzlvbDO8xb0JBEBWf0NCNxMaVAjc0YX17nuN/pRbok=;
 b=bBygRvq9Zb6q84Hkctvq356qqcANLD3dasUsMIlrkUIYXwl0gBJ7xc+gx4VYP9ZN9z
 cdGgQ8x9LiYvQ6H4sTn2nY4FU8lY2kuhKz3EcviZO9XPckvBcj21vvTGlTOekXp6uh0U
 WRc3m1rRtUYB36X9Ua3UikcApx8lHYssqxvB9NG3yl0hkpCbPQ/+TlXsUKZMEylZA/Ti
 YD2l2m1ukl6okGEL9oTplLisD+c6ss7GxWOBeMhSRCh1RuAFyVOqaAdQvCubF+YjlFzy
 f/0zQgs3uxRLwhePmXlWf+B2BzCYMRmzSSvMiN5pp8kguv4+ksPFU+1XBpuD61hZPJUO
 gfcg==
X-Gm-Message-State: APjAAAXgqFBf6UxcOJ3C/SKRnz3hRCY3raGWKwuPHAsHjqM3VzZ8mDAS
 H4oBtj3dC0oO9jbBIpU6eHHGaqwB
X-Google-Smtp-Source: APXvYqzD1gVbZ22AMjjE5Pu3PHzdySNmAxC5EaaVgt6S2SkqeygbCD90wO5UmV9oK2sqEDNQ5yMTrw==
X-Received: by 2002:a6b:b243:: with SMTP id b64mr6424287iof.252.1568846261090; 
 Wed, 18 Sep 2019 15:37:41 -0700 (PDT)
Received: from minid (cbl-45-2-119-34.yyz.frontiernetworks.ca. [45.2.119.34])
 by smtp.gmail.com with ESMTPSA id
 j11sm4349523ioa.55.2019.09.18.15.37.40
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Wed, 18 Sep 2019 15:37:40 -0700 (PDT)
From: Noam Postavsky <npostavs@HIDDEN>
To: Amai Kinono <amaikinono@HIDDEN>
Subject: Re: bug#37452: 26.3; skip-syntax-forward doesn't work in python-mode
References: <CAPu3fz0hF0POJH7dXGWxRxt2MR7bpPQzUykDTtTCm7FGa=bOPg@HIDDEN>
Date: Wed, 18 Sep 2019 18:37:39 -0400
In-Reply-To: <CAPu3fz0hF0POJH7dXGWxRxt2MR7bpPQzUykDTtTCm7FGa=bOPg@HIDDEN> (Amai
 Kinono's message of "Thu, 19 Sep 2019 03:07:48 +0800")
Message-ID: <877e659qoc.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37452
Cc: 37452 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Amai Kinono <amaikinono@HIDDEN> writes:

>   (defun skip-syntax ()
>     (interactive)
>     (skip-syntax-forward (char-to-string (char-syntax (char-after)))))

If you look at char-syntax's docstring, you should see

    If you=E2=80=99re trying to determine the syntax of characters in the b=
uffer,
    this is probably the wrong function to use, because it can=E2=80=99t ta=
ke
    =E2=80=98syntax-table=E2=80=99 text properties into account.  Consider =
using
    =E2=80=98syntax-after=E2=80=99 instead.

Which is exactly the situation you've encountered here: python-mode sets
the syntax of the quote to string fence ("|") using a text property.
This version of skip-syntax should work:

(defun syntax-class-to-char (syntax-class)
  (aref " .w_()'\"$\\/<>@!|" syntax-class))

(defun skip-syntax ()
  (interactive)
  (skip-syntax-forward (char-to-string
                        (syntax-class-to-char
                         (syntax-class (syntax-after (point)))))))

Although I'd say that the function syntax-class-to-char should be added
to Emacs (in syntax.c, so that it can reuse syntax_code_spec).




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37452; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 18 Sep 2019 20:19:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 18 16:19:36 2019
Received: from localhost ([127.0.0.1]:54882 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iAgQJ-0006Fh-HJ
	for submit <at> debbugs.gnu.org; Wed, 18 Sep 2019 16:19:36 -0400
Received: from lists.gnu.org ([209.51.188.17]:41893)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <amaikinono@HIDDEN>) id 1iAfJ8-0004Kz-RE
 for submit <at> debbugs.gnu.org; Wed, 18 Sep 2019 15:08:07 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:58542)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <amaikinono@HIDDEN>) id 1iAfJ6-0000NH-4E
 for bug-gnu-emacs@HIDDEN; Wed, 18 Sep 2019 15:08:06 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: ***
X-Spam-Status: No, score=3.2 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 HTML_MESSAGE,SPOOFED_FREEMAIL,URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <amaikinono@HIDDEN>) id 1iAfJ3-0007Tl-DC
 for bug-gnu-emacs@HIDDEN; Wed, 18 Sep 2019 15:08:03 -0400
Received: from mail-qt1-x835.google.com ([2607:f8b0:4864:20::835]:35605)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <amaikinono@HIDDEN>)
 id 1iAfJ3-0007TT-6d
 for bug-gnu-emacs@HIDDEN; Wed, 18 Sep 2019 15:08:01 -0400
Received: by mail-qt1-x835.google.com with SMTP id m15so1120083qtq.2
 for <bug-gnu-emacs@HIDDEN>; Wed, 18 Sep 2019 12:08:00 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=e+q/BWNmWkQLN26mgEqRziYtwdhK8Tv3/FFGL+6uvEw=;
 b=LmPsfvnK7j/APpbaRzrBHtzXbqmX7yuwMpqzjHkxNPc+zaEbT03PVVUOulgd/e39E8
 wZQ0kUQsm1ZUWB7O4gqHZhWxxDGfpqHgaZwWINecEBSPG0mi/l3HhF2D2R3MQ+TM3aqa
 Vlpvfv9YJKSx+gIaemjSrsE0glMxWFlf2sFKMXXmpZ0bV1U9sPWNgnC6bhA/G8R0MJUP
 cmDUXMMThqxWPUX7emYO7wLRnfF3QgcRqhGLxorpWq+h3omdeJv005xNRl6KlxBpjuve
 bH32li1IvVWicFVFzCRwDQ7mMB45SIWZf6Jox2kZUVDi+rsbNQeV81we21BDJywfbolB
 A++w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=e+q/BWNmWkQLN26mgEqRziYtwdhK8Tv3/FFGL+6uvEw=;
 b=YIHk4gC2Cb/KmMnG3c1s7zJynB0WBbFLXAHlf1+SbIZkmucJMs03zn9TL5ODfenrtz
 yqZc1UuBvb0M4/hi8N8RKfTuk9eiOwF3ebhmeyHyqhIpGaXI2+CzwryTRnkX3CpxpHl1
 ruD2gP3mIwmpEvoK+02ub2Eyvp1dD2APmEz2yx11cXJiVvS/gYdN13dZMQYFTz4DCw6a
 4muw+GOnrT7nW+lo2Owxo1P8s8hqwhdFBsX3BekpCwiYwoEpfF5skh7gq6QdyGNErdK7
 3ahV9acpg2/2HEymU/y/3LBQ0s56UzUVcK0hd/BizXXV6jp4pGOsf/1h0GRIxjFKLEgi
 NBZg==
X-Gm-Message-State: APjAAAWPtJ6Prvd7KDDhO8pRb/0vbfVKnPI/y7Yec78mFfK2ynmo41EY
 oxLzKFMPtTzqmaDJUea9Ry8vAMWPBvV2gqlRk7EP7kPzPug=
X-Google-Smtp-Source: APXvYqyPfgHQ+45To61fXNtIVr4qt9jC+TzZ9CxJwF/OsdFnU/sDBEM01f9fbcYf3bbs/KMWRO9fbN0MONYJX0BQv6w=
X-Received: by 2002:a05:6214:4c2:: with SMTP id
 ck2mr4572379qvb.21.1568833679921; 
 Wed, 18 Sep 2019 12:07:59 -0700 (PDT)
MIME-Version: 1.0
From: Amai Kinono <amaikinono@HIDDEN>
Date: Thu, 19 Sep 2019 03:07:48 +0800
Message-ID: <CAPu3fz0hF0POJH7dXGWxRxt2MR7bpPQzUykDTtTCm7FGa=bOPg@HIDDEN>
Subject: 26.3; skip-syntax-forward doesn't work in python-mode
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/alternative; boundary="0000000000003416570592d88e15"
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2607:f8b0:4864:20::835
X-Spam-Score: 1.1 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: Here's how to reproduce: - Run `emacs -Q` - Define a command
 like this and eval it 
 Content analysis details:   (1.1 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: x.org]
 1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (amaikinono[at]gmail.com)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -2.3 RCVD_IN_DNSWL_MED      RBL: Sender listed at https://www.dnswl.org/,
 medium trust [209.51.188.17 listed in list.dnswl.org]
 0.0 HTML_MESSAGE           BODY: HTML included in message
 2.4 SPOOFED_FREEMAIL       No description available.
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Wed, 18 Sep 2019 16:19:33 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.1 (/)

--0000000000003416570592d88e15
Content-Type: text/plain; charset="UTF-8"

Here's how to reproduce:

- Run `emacs -Q`

- Define a command like this and eval it

  ``` emacs-lisp
  (defun skip-syntax ()
    (interactive)
    (skip-syntax-forward (char-to-string (char-syntax (char-after)))))
  ```

  It gets the syntax of the next char and skip chars with the same syntax.

- M-x python-mode, clear the buffer, type

  ``` python
  print(|'hello')
  ```

  `|` stands for the cursor position.

- Call skip-syntax. The expected behavior is:

  ``` python
  print('|hello')
  ```

  but actually the cursor doesn't move.


I've tried some other modes, and the above command can skip the
quotation mark normally, so this should be a problem of Python mode.

In GNU Emacs 26.3 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.10)
 of 2019-08-30 built on juergen
Windowing system distributor 'The X.Org Foundation', version 11.0.12005000
System Description: Manjaro Linux

Recent messages:
uncompressing python.el.gz...
uncompressing python.el.gz...done
Note: file is write protected
Quit [2 times]
M-SPC r is undefined

Configured using:
 'configure --prefix=/usr --sysconfdir=/etc --libexecdir=/usr/lib
 --localstatedir=/var --with-x-toolkit=gtk3 --with-xft --with-modules
 'CFLAGS=-march=x86-64 -mtune=generic -O2 -pipe -fno-plt'
 CPPFLAGS=-D_FORTIFY_SOURCE=2
 LDFLAGS=-Wl,-O1,--sort-common,--as-needed,-z,relro,-z,now'

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND GPM DBUS GSETTINGS GLIB
NOTIFY ACL GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11 XDBE XIM MODULES THREADS LIBSYSTEMD LCMS2

Important settings:
  value of $LC_MONETARY: zh_CN.UTF-8
  value of $LC_NUMERIC: zh_CN.UTF-8
  value of $LC_TIME: zh_CN.UTF-8
  value of $LANG: zh_CN.utf8
  value of $XMODIFIERS: @im=fcitx
  locale-coding-system: utf-8-unix

Major mode: Emacs-Lisp

Minor modes in effect:
  smartparens-global-mode: t
  smartparens-strict-mode: t
  smartparens-mode: t
  diff-auto-refine-mode: t
  which-key-mode: t
  global-whitespace-cleanup-mode: t
  whitespace-cleanup-mode: t
  global-whitespace-mode: t
  global-company-mode: t
  company-mode: t
  show-paren-mode: t
  winum-mode: t
  awesome-tab-mode: t
  ivy-rich-mode: t
  evil-escape-mode: t
  global-undo-tree-mode: t
  undo-tree-mode: t
  shell-dirtrack-mode: t
  evil-mode: t
  evil-local-mode: t
  global-subword-mode: t
  subword-mode: t
  global-auto-revert-mode: t
  awesome-tray-mode: t
  general-override-mode: t
  ivy-mode: t
  delete-selection-mode: t
  straight-use-package-mode: t
  straight-package-neutering-mode: t
  straight-live-modifications-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
/home/kino/.emacs.d/straight/build/seq/seq hides
/usr/share/emacs/26.3/lisp/emacs-lisp/seq
/home/kino/.emacs.d/straight/build/let-alist/let-alist hides
/usr/share/emacs/26.3/lisp/emacs-lisp/let-alist
/home/kino/.emacs.d/straight/build/cl-lib/cl-lib hides
/usr/share/emacs/26.3/lisp/emacs-lisp/cl-lib
~/.emacs.d/modules/ui/appearance/config hides
~/.emacs.d/modules/ui/file/config
~/.emacs.d/modules/ui/appearance/config hides
~/.emacs.d/modules/ui/edit/config
~/.emacs.d/modules/ui/appearance/config hides
~/.emacs.d/modules/ui/evil/config
~/.emacs.d/modules/ui/appearance/config hides
~/.emacs.d/modules/ui/sexp/config
~/.emacs.d/modules/ui/appearance/config hides
~/.emacs.d/modules/ui/window-buffer/config
~/.emacs.d/modules/ui/appearance/config hides
~/.emacs.d/modules/ide/completion/config
~/.emacs.d/modules/ui/appearance/config hides
~/.emacs.d/modules/ide/checker/config
~/.emacs.d/modules/ui/appearance/config hides
~/.emacs.d/modules/ide/lsp/config
~/.emacs.d/modules/ui/appearance/config hides
~/.emacs.d/modules/ide/help/config
~/.emacs.d/modules/ui/appearance/config hides
~/.emacs.d/modules/ide/ctags/config
~/.emacs.d/modules/ui/appearance/config hides
~/.emacs.d/modules/lang/dart/config
~/.emacs.d/modules/ui/appearance/config hides
~/.emacs.d/modules/lang/web/config
~/.emacs.d/modules/ui/appearance/config hides
~/.emacs.d/modules/lang/elisp/config
~/.emacs.d/modules/ui/appearance/config hides
~/.emacs.d/modules/app/qrcode/config
~/.emacs.d/modules/ui/appearance/config hides
~/.emacs.d/modules/app/esup/config

Features:
(shadow sort mail-extr emacsbug message rmc puny format-spec rfc822 mml
mml-sec password-cache epa derived epg epg-config gnus-util rmail
rmail-loaddefs mm-decode mm-bodies mm-encode mail-parse rfc2231
mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums
mm-util mail-prsvr mail-utils two-column smartparens-config
smartparens-text smartparens elec-pair vc-mtn vc-hg vc-git diff-mode
vc-bzr vc-src vc-sccs vc-svn vc-cvs vc-rcs vc vc-dispatcher jka-compr
cursor-sensor which-key whitespace-cleanup-mode disp-table whitespace
company-oddmuse company-keywords company-etags company-gtags
company-dabbrev-code company-dabbrev company-files company-capf
company-cmake company-xcode company-clang company-semantic company-eclim
company-template company-bbdb company pcase flycheck json map find-func
rx seq seq-25 paren winum dash awesome-tab easy-mmode which-func imenu
counsel-etags ivy-rich counsel xdg dired dired-loaddefs compile swiper
etags xref project eieio eieio-core eieio-loaddefs evil-escape evil
evil-integration undo-tree diff evil-maps evil-commands reveal flyspell
ispell evil-jumps evil-command-window evil-types evil-search evil-ex
shell pcomplete comint ansi-color evil-macros evil-repeat evil-states
evil-core byte-opt advice evil-common windmove thingatpt rect
evil-digraphs evil-vars toki-app/esup esup-autoloads toki-app/qrcode
toki-lang/elisp toki-lang/web web-mode-autoloads toki-lang/dart
dart-mode-autoloads toki-ide/ctags counsel-etags-autoloads toki-ide/help
toki-ide/lsp lsp-mode-autoloads markdown-mode-autoloads
spinner-autoloads ht-autoloads f-autoloads s-autoloads
dash-functional-autoloads toki-ide/checker flycheck-autoloads
let-alist-autoloads pkg-info-autoloads epl-autoloads toki-ide/completion
company-autoloads toki-ui/window-buffer awesome-tab-autoloads
winum-autoloads toki-ui/sexp smartparens-autoloads dash-autoloads
toki-ui/evil term-cursor-autoloads evil-escape-autoloads evil-autoloads
goto-chg-autoloads toki-ui/edit whitespace-cleanup-mode-autoloads
avy-autoloads cap-words superword subword undo-tree-autoloads
toki-ui/file autorevert filenotify toki-ui/appearance beacon-autoloads
seq-autoloads awesome-tray awesome-tray-autoloads all-the-icons
all-the-icons-faces data-material data-weathericons data-octicons
data-fileicons data-faicons data-alltheicons memoize
all-the-icons-autoloads memoize-autoloads doom-gruvbox-theme
doom-themes-ext-org doom-themes doom-themes-base doom-themes-autoloads
ns-auto-titlebar-autoloads cl toki-core toki-core-keybind hydra lv
hydra-autoloads lv-autoloads which-key-autoloads edmacro kmacro general
general-autoloads toki-core-os exec-path-from-shell-autoloads
osx-clipboard-autoloads xclip-autoloads toki-core-packages
ivy-rich-autoloads counsel-autoloads swiper-autoloads ivy delsel ring
colir color ivy-overlay ivy-autoloads no-littering
no-littering-autoloads cl-lib-autoloads cl-seq use-package-core
use-package-autoloads bind-key-autoloads straight-autoloads info
cl-extra help-mode easymenu straight subr-x bytecomp byte-compile cconv
toki-core-defaults toki-core-helpers cl-macs gv cl-loaddefs cl-lib
time-date mule-util china-util tooltip eldoc electric uniquify
ediff-hook vc-hooks lisp-float-type mwheel term/x-win x-win
term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page menu-bar rfn-eshadow isearch timer select
scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame cl-generic cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms cp51932
hebrew greek romanian slovak czech european ethiopic indian cyrillic
chinese composite charscript charprop case-table epa-hook jka-cmpr-hook
help simple abbrev obarray minibuffer cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote threads dbusbind inotify lcms2 dynamic-setting
system-font-setting font-render-setting move-toolbar gtk x-toolkit x
multi-tty make-network-process emacs)

Memory information:
((conses 16 324283 285642)
 (symbols 48 36062 15)
 (miscs 40 111 410)
 (strings 32 82193 35731)
 (string-bytes 1 2537074)
 (vectors 16 34096)
 (vector-slots 8 746877 160936)
 (floats 8 768 1220)
 (intervals 56 3869 1417)
 (buffers 992 14))

--0000000000003416570592d88e15
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Here&#39;s how to reproduce:<br><br>- Run `emacs -Q`<br><b=
r>- Define a command like this and eval it<br><br>=C2=A0 ``` emacs-lisp<br>=
=C2=A0 (defun skip-syntax ()<br>=C2=A0 =C2=A0 (interactive)<br>=C2=A0 =C2=
=A0 (skip-syntax-forward (char-to-string (char-syntax (char-after)))))<br>=
=C2=A0 ```<br><br>=C2=A0 It gets the syntax of the next char and skip chars=
 with the same syntax.<br><br>- M-x python-mode, clear the buffer, type<br>=
<br>=C2=A0 ``` python<br>=C2=A0 print(|&#39;hello&#39;)<br>=C2=A0 ```<br>=
=C2=A0 <br>=C2=A0 `|` stands for the cursor position.<br><br>- Call skip-sy=
ntax. The expected behavior is:<br><br>=C2=A0 ``` python<br>=C2=A0 print(&#=
39;|hello&#39;)<br>=C2=A0 ```<br><br>=C2=A0 but actually the cursor doesn&#=
39;t move.<br><br><br>I&#39;ve tried some other modes, and the above comman=
d can skip the<br>quotation mark normally, so this should be a problem of P=
ython mode.<br><br>In GNU Emacs 26.3 (build 1, x86_64-pc-linux-gnu, GTK+ Ve=
rsion 3.24.10)<br>=C2=A0of 2019-08-30 built on juergen<br>Windowing system =
distributor &#39;The X.Org Foundation&#39;, version 11.0.12005000<br>System=
 Description:	Manjaro Linux<br><br>Recent messages:<br>uncompressing python=
.el.gz...<br>uncompressing python.el.gz...done<br>Note: file is write prote=
cted<br>Quit [2 times]<br>M-SPC r is undefined<br><br>Configured using:<br>=
=C2=A0&#39;configure --prefix=3D/usr --sysconfdir=3D/etc --libexecdir=3D/us=
r/lib<br>=C2=A0--localstatedir=3D/var --with-x-toolkit=3Dgtk3 --with-xft --=
with-modules<br>=C2=A0&#39;CFLAGS=3D-march=3Dx86-64 -mtune=3Dgeneric -O2 -p=
ipe -fno-plt&#39;<br>=C2=A0CPPFLAGS=3D-D_FORTIFY_SOURCE=3D2<br>=C2=A0LDFLAG=
S=3D-Wl,-O1,--sort-common,--as-needed,-z,relro,-z,now&#39;<br><br>Configure=
d features:<br>XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND GPM DBUS GSETTI=
NGS GLIB<br>NOTIFY ACL GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB<br>=
TOOLKIT_SCROLL_BARS GTK3 X11 XDBE XIM MODULES THREADS LIBSYSTEMD LCMS2<br><=
br>Important settings:<br>=C2=A0 value of $LC_MONETARY: zh_CN.UTF-8<br>=C2=
=A0 value of $LC_NUMERIC: zh_CN.UTF-8<br>=C2=A0 value of $LC_TIME: zh_CN.UT=
F-8<br>=C2=A0 value of $LANG: zh_CN.utf8<br>=C2=A0 value of $XMODIFIERS: @i=
m=3Dfcitx<br>=C2=A0 locale-coding-system: utf-8-unix<br><br>Major mode: Ema=
cs-Lisp<br><br>Minor modes in effect:<br>=C2=A0 smartparens-global-mode: t<=
br>=C2=A0 smartparens-strict-mode: t<br>=C2=A0 smartparens-mode: t<br>=C2=
=A0 diff-auto-refine-mode: t<br>=C2=A0 which-key-mode: t<br>=C2=A0 global-w=
hitespace-cleanup-mode: t<br>=C2=A0 whitespace-cleanup-mode: t<br>=C2=A0 gl=
obal-whitespace-mode: t<br>=C2=A0 global-company-mode: t<br>=C2=A0 company-=
mode: t<br>=C2=A0 show-paren-mode: t<br>=C2=A0 winum-mode: t<br>=C2=A0 awes=
ome-tab-mode: t<br>=C2=A0 ivy-rich-mode: t<br>=C2=A0 evil-escape-mode: t<br=
>=C2=A0 global-undo-tree-mode: t<br>=C2=A0 undo-tree-mode: t<br>=C2=A0 shel=
l-dirtrack-mode: t<br>=C2=A0 evil-mode: t<br>=C2=A0 evil-local-mode: t<br>=
=C2=A0 global-subword-mode: t<br>=C2=A0 subword-mode: t<br>=C2=A0 global-au=
to-revert-mode: t<br>=C2=A0 awesome-tray-mode: t<br>=C2=A0 general-override=
-mode: t<br>=C2=A0 ivy-mode: t<br>=C2=A0 delete-selection-mode: t<br>=C2=A0=
 straight-use-package-mode: t<br>=C2=A0 straight-package-neutering-mode: t<=
br>=C2=A0 straight-live-modifications-mode: t<br>=C2=A0 tooltip-mode: t<br>=
=C2=A0 global-eldoc-mode: t<br>=C2=A0 eldoc-mode: t<br>=C2=A0 electric-inde=
nt-mode: t<br>=C2=A0 mouse-wheel-mode: t<br>=C2=A0 tool-bar-mode: t<br>=C2=
=A0 menu-bar-mode: t<br>=C2=A0 file-name-shadow-mode: t<br>=C2=A0 global-fo=
nt-lock-mode: t<br>=C2=A0 font-lock-mode: t<br>=C2=A0 auto-composition-mode=
: t<br>=C2=A0 auto-encryption-mode: t<br>=C2=A0 auto-compression-mode: t<br=
>=C2=A0 buffer-read-only: t<br>=C2=A0 line-number-mode: t<br>=C2=A0 transie=
nt-mark-mode: t<br><br>Load-path shadows:<br>/home/kino/.emacs.d/straight/b=
uild/seq/seq hides /usr/share/emacs/26.3/lisp/emacs-lisp/seq<br>/home/kino/=
.emacs.d/straight/build/let-alist/let-alist hides /usr/share/emacs/26.3/lis=
p/emacs-lisp/let-alist<br>/home/kino/.emacs.d/straight/build/cl-lib/cl-lib =
hides /usr/share/emacs/26.3/lisp/emacs-lisp/cl-lib<br>~/.emacs.d/modules/ui=
/appearance/config hides ~/.emacs.d/modules/ui/file/config<br>~/.emacs.d/mo=
dules/ui/appearance/config hides ~/.emacs.d/modules/ui/edit/config<br>~/.em=
acs.d/modules/ui/appearance/config hides ~/.emacs.d/modules/ui/evil/config<=
br>~/.emacs.d/modules/ui/appearance/config hides ~/.emacs.d/modules/ui/sexp=
/config<br>~/.emacs.d/modules/ui/appearance/config hides ~/.emacs.d/modules=
/ui/window-buffer/config<br>~/.emacs.d/modules/ui/appearance/config hides ~=
/.emacs.d/modules/ide/completion/config<br>~/.emacs.d/modules/ui/appearance=
/config hides ~/.emacs.d/modules/ide/checker/config<br>~/.emacs.d/modules/u=
i/appearance/config hides ~/.emacs.d/modules/ide/lsp/config<br>~/.emacs.d/m=
odules/ui/appearance/config hides ~/.emacs.d/modules/ide/help/config<br>~/.=
emacs.d/modules/ui/appearance/config hides ~/.emacs.d/modules/ide/ctags/con=
fig<br>~/.emacs.d/modules/ui/appearance/config hides ~/.emacs.d/modules/lan=
g/dart/config<br>~/.emacs.d/modules/ui/appearance/config hides ~/.emacs.d/m=
odules/lang/web/config<br>~/.emacs.d/modules/ui/appearance/config hides ~/.=
emacs.d/modules/lang/elisp/config<br>~/.emacs.d/modules/ui/appearance/confi=
g hides ~/.emacs.d/modules/app/qrcode/config<br>~/.emacs.d/modules/ui/appea=
rance/config hides ~/.emacs.d/modules/app/esup/config<br><br>Features:<br>(=
shadow sort mail-extr emacsbug message rmc puny format-spec rfc822 mml<br>m=
ml-sec password-cache epa derived epg epg-config gnus-util rmail<br>rmail-l=
oaddefs mm-decode mm-bodies mm-encode mail-parse rfc2231<br>mailabbrev gmm-=
utils mailheader sendmail rfc2047 rfc2045 ietf-drums<br>mm-util mail-prsvr =
mail-utils two-column smartparens-config<br>smartparens-text smartparens el=
ec-pair vc-mtn vc-hg vc-git diff-mode<br>vc-bzr vc-src vc-sccs vc-svn vc-cv=
s vc-rcs vc vc-dispatcher jka-compr<br>cursor-sensor which-key whitespace-c=
leanup-mode disp-table whitespace<br>company-oddmuse company-keywords compa=
ny-etags company-gtags<br>company-dabbrev-code company-dabbrev company-file=
s company-capf<br>company-cmake company-xcode company-clang company-semanti=
c company-eclim<br>company-template company-bbdb company pcase flycheck jso=
n map find-func<br>rx seq seq-25 paren winum dash awesome-tab easy-mmode wh=
ich-func imenu<br>counsel-etags ivy-rich counsel xdg dired dired-loaddefs c=
ompile swiper<br>etags xref project eieio eieio-core eieio-loaddefs evil-es=
cape evil<br>evil-integration undo-tree diff evil-maps evil-commands reveal=
 flyspell<br>ispell evil-jumps evil-command-window evil-types evil-search e=
vil-ex<br>shell pcomplete comint ansi-color evil-macros evil-repeat evil-st=
ates<br>evil-core byte-opt advice evil-common windmove thingatpt rect<br>ev=
il-digraphs evil-vars toki-app/esup esup-autoloads toki-app/qrcode<br>toki-=
lang/elisp toki-lang/web web-mode-autoloads toki-lang/dart<br>dart-mode-aut=
oloads toki-ide/ctags counsel-etags-autoloads toki-ide/help<br>toki-ide/lsp=
 lsp-mode-autoloads markdown-mode-autoloads<br>spinner-autoloads ht-autoloa=
ds f-autoloads s-autoloads<br>dash-functional-autoloads toki-ide/checker fl=
ycheck-autoloads<br>let-alist-autoloads pkg-info-autoloads epl-autoloads to=
ki-ide/completion<br>company-autoloads toki-ui/window-buffer awesome-tab-au=
toloads<br>winum-autoloads toki-ui/sexp smartparens-autoloads dash-autoload=
s<br>toki-ui/evil term-cursor-autoloads evil-escape-autoloads evil-autoload=
s<br>goto-chg-autoloads toki-ui/edit whitespace-cleanup-mode-autoloads<br>a=
vy-autoloads cap-words superword subword undo-tree-autoloads<br>toki-ui/fil=
e autorevert filenotify toki-ui/appearance beacon-autoloads<br>seq-autoload=
s awesome-tray awesome-tray-autoloads all-the-icons<br>all-the-icons-faces =
data-material data-weathericons data-octicons<br>data-fileicons data-faicon=
s data-alltheicons memoize<br>all-the-icons-autoloads memoize-autoloads doo=
m-gruvbox-theme<br>doom-themes-ext-org doom-themes doom-themes-base doom-th=
emes-autoloads<br>ns-auto-titlebar-autoloads cl toki-core toki-core-keybind=
 hydra lv<br>hydra-autoloads lv-autoloads which-key-autoloads edmacro kmacr=
o general<br>general-autoloads toki-core-os exec-path-from-shell-autoloads<=
br>osx-clipboard-autoloads xclip-autoloads toki-core-packages<br>ivy-rich-a=
utoloads counsel-autoloads swiper-autoloads ivy delsel ring<br>colir color =
ivy-overlay ivy-autoloads no-littering<br>no-littering-autoloads cl-lib-aut=
oloads cl-seq use-package-core<br>use-package-autoloads bind-key-autoloads =
straight-autoloads info<br>cl-extra help-mode easymenu straight subr-x byte=
comp byte-compile cconv<br>toki-core-defaults toki-core-helpers cl-macs gv =
cl-loaddefs cl-lib<br>time-date mule-util china-util tooltip eldoc electric=
 uniquify<br>ediff-hook vc-hooks lisp-float-type mwheel term/x-win x-win<br=
>term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe<br>tabu=
lated-list replace newcomment text-mode elisp-mode lisp-mode<br>prog-mode r=
egister page menu-bar rfn-eshadow isearch timer select<br>scroll-bar mouse =
jit-lock font-lock syntax facemenu font-core<br>term/tty-colors frame cl-ge=
neric cham georgian utf-8-lang misc-lang<br>vietnamese tibetan thai tai-vie=
t lao korean japanese eucjp-ms cp51932<br>hebrew greek romanian slovak czec=
h european ethiopic indian cyrillic<br>chinese composite charscript charpro=
p case-table epa-hook jka-cmpr-hook<br>help simple abbrev obarray minibuffe=
r cl-preloaded nadvice loaddefs<br>button faces cus-face macroexp files tex=
t-properties overlay sha1 md5<br>base64 format env code-pages mule custom w=
idget hashtable-print-readable<br>backquote threads dbusbind inotify lcms2 =
dynamic-setting<br>system-font-setting font-render-setting move-toolbar gtk=
 x-toolkit x<br>multi-tty make-network-process emacs)<br><br>Memory informa=
tion:<br>((conses 16 324283 285642)<br>=C2=A0(symbols 48 36062 15)<br>=C2=
=A0(miscs 40 111 410)<br>=C2=A0(strings 32 82193 35731)<br>=C2=A0(string-by=
tes 1 2537074)<br>=C2=A0(vectors 16 34096)<br>=C2=A0(vector-slots 8 746877 =
160936)<br>=C2=A0(floats 8 768 1220)<br>=C2=A0(intervals 56 3869 1417)<br>=
=C2=A0(buffers 992 14))</div>

--0000000000003416570592d88e15--




Acknowledgement sent to Amai Kinono <amaikinono@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#37452; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.